Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputPassportElement

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputPassportElement

Direct Known Subclasses:
  `TdApi.InputPassportElementAddress`, `TdApi.InputPassportElementBankStatement`, `TdApi.InputPassportElementDriverLicense`, `TdApi.InputPassportElementEmailAddress`, `TdApi.InputPassportElementIdentityCard`, `TdApi.InputPassportElementInternalPassport`, `TdApi.InputPassportElementPassport`, `TdApi.InputPassportElementPassportRegistration`, `TdApi.InputPassportElementPersonalDetails`, `TdApi.InputPassportElementPhoneNumber`, `TdApi.InputPassportElementRentalAgreement`, `TdApi.InputPassportElementTemporaryRegistration`, `TdApi.InputPassportElementUtilityBill`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.InputPassportElement extends TdApi.Object permits TdApi.InputPassportElementPersonalDetails, TdApi.InputPassportElementPassport, TdApi.InputPassportElementDriverLicense, TdApi.InputPassportElementIdentityCard, TdApi.InputPassportElementInternalPassport, TdApi.InputPassportElementAddress, TdApi.InputPassportElementUtilityBill, TdApi.InputPassportElementBankStatement, TdApi.InputPassportElementRentalAgreement, TdApi.InputPassportElementPassportRegistration, TdApi.InputPassportElementTemporaryRegistration, TdApi.InputPassportElementPhoneNumber, TdApi.InputPassportElementEmailAddress
This class is an abstract base class. Contains information about a Telegram Passport element to be saved.

## Constructor Summary

Constructors
Constructor
Description
`InputPassportElement()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InputPassportElement

public InputPassportElement()
Default class constructor.